	sr = 44100
	kr = 441
	ksmps = 100
	nchnls = 2

ga1	init	0
gk12e4	init	882

;///////////////////////////////////////////////////
	instr	1
;///////////////////////////////////////////////////
kbend	pchbend	-1,1
i1	cpstmid	i(gk12e4)
k2	linsegr	0,1.5,1,6,.15,1,.15,1.2,0
a1	oscili	k2,i1*powoftwo(kbend),1
	vincr	ga1,a1
	endin

;///////////////////////////////////////////////////
	instr	2
;///////////////////////////////////////////////////

gk12e1,gk12e2,gk12e3,gk12e4,gk12e5,gk12e6,gk12e7,gk12e8	slider8f	1,\
\;	ctl	min	max	init	func	icutoff
	1,	.1,	5, 	.1,	0,	5,	\;1-distorsion
	2,	.15,	200,	20,	92,	5,	\;2-Cutoff
	3,	.05,	8,	1,	92,	5,	\;3-resonance
	4,	880,	888.5,	882,	0,	10000,	\;4-tuning table 
	5,	0,	8,	0,	0,	5,	\;5-amp distortion sweep
	6,	.1,	10,	1,	92,	5,	\;6-freq distortion sweep
	7,	0,	200,	0,	0,	5,	\;7-amp filter modulate
	8,	.03,	20,	1,	92,	5	 ;8-freq filter sweep
gk12e9	ctrl7	1,9,	870,	878.5		 	 ;9-distorsion table num
							 
kosc	oscili	gk12e5,gk12e6,879
kosc	tonek	gk12e1+kosc,5
aosc	interp	kosc

amod	tableikt	ga1*aosc, int(gk12e9),1,.5,0

kfilt	oscili	gk12e7,gk12e8,879
kfilt	=	gk12e2+kfilt
kfilt	tonek	kfilt,5

gk12e3	tonek	gk12e3,1.5
amod	lpres	amod, kfilt, gk12e3
amod	=	amod*3200
adel	delay	amod,.3
	outs	amod, adel
	clear	ga1
	endin

